Loading...
Searching...
No Matches
AddImageChecks.h File Reference

Defines the lowering pass that adds the assertions that validate input and output buffers. More...

`#include <map>`
`#include <string>`
`#include <vector>`
`#include "Bounds.h"`
`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::add_image_checks (const Stmt &s, const std::vector< Function > &outputs, const Target &t, const std::vector< std::string > &order, const std::map< std::string, Function > &env, const FuncValueBounds &fb, bool will_inject_host_copies)
| Insert checks to make sure a statement doesn't read out of bounds on inputs or outputs, and that the inputs and outputs conform to the format required (e.g.

## Detailed Description

Defines the lowering pass that adds the assertions that validate input and output buffers.

Definition in file AddImageChecks.h.